Subject: bug#15261: 24.2; Cursor not visible while moving point in transient mark mode

From: "RICHARD MUNITZ (BLOOMBERG/ 731 LEXIN)" <[email-masked]>
Date: Wed, 4 Sep 2013 15:47:56 -0000

Client and server machine are LAN connected.  Yes, it is a Solaris server.  A tracert from my machine to the server shows 7 hops, but all under 1ms latency.  
The reported behavior consistently occurs 100% of the time and has for the 4 weeks I have been working in this environment - including off-hours.  So I don't think bandwidth is a factor either.  
Note that Bloomberg's core business is distributing real-time market data to the financial industry, so they are rather obsessive about high performance networks.
For comparison, I just tried running gvim and repeated the same "highlight text" test (from top of file I hit "v" (visual mode) and then pressed and held the "j" (down) key. gvim was able to continuously move the cursor and highlight line after line, scrolling screen after screen without ever freezing up. 

----- Original Message -----
From: [email-masked]
To: [email-masked]
Cc: RICHARD MUNITZ (BLOOMBERG/ 731 LEXIN), [email-masked]
At: Sep  4 2013 11:07:40

On Tue, Sep 3, 2013 at 12:25 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Tue, 3 Sep 2013 18:28:14 -0000
>> From: "RICHARD MUNITZ (BLOOMBERG/ 731 LEXIN)" <[email-masked]>
>>
>> Start 'emacs -Q';
>> C-SPC (to set mark at the end of the buffer)
>> Then in somewhat rapid succession, perhaps 1/4 second apart, type C-p C-p C-p C-p
>> There is no evidence of movement while the C-p's are being typed that point is
>> moving up the screen until you stop typing and point suddenly jumps 3
>> lines up and it shows all lines highlighted.
>
> What you describe sounds like redisplay cannot keep up with your
> commands.  Unless the machine is extremely old and slow, I don't see
> how this is possible in such a simple scenario.  FWIW, I cannot
> reproduce that on my machine.

The windowing system "`Hummingbird - Open Text', version 11.0.13830",
suggests that the OP is connecting to an Emacs running on a Solaris
machine from a Windows-based X server[0] across a network connection
with unknown bandwidth and latency characteristics.  The reported
symptoms seem consistent with a laggy network connection to me.

[0] http://connectivity.opentext.com/products/exceed-products.aspx